# /api/schedule/create

Creating a Trigger

* Endpoint: /api/schedule/create
* Method: POST;
* Authorization: required;
* Parameters:

Name: Name of the new Trigger;

Description: Description for the new Trigger;

Status: Status for the new Trigger;

CronTab: Cron expression for the new Trigger. Only for ProcessingType = 2;

RobotType: Type of Robots (0 - one Robot, 1 - group of Robots);

RobotId: ID of the Robot to execute. Only for RobotType = 2;

RobotGroupId: ID of the Robot Group to execute. Only for RobotType = 1;

ProcessingType (required): Type of processing for the new Trigger (1 - continuous, 2 - scheduled);

StartAt: Start date of the new Trigger;

EndAt: End date of the new Trigger;

MaxRuns: Max. number of runs for the new Trigger;

MaxRunningRobots: Maximum number of concurrently running Robots. Only for RobotType = 1;

CheckMissedTrigger: Enable the mechanism to check for missed Triggers for the new Trigger (1 - on, 0 - off);

ProcessId (required): ID of the Process to execute.

* Example:

| Request                                                                                                        | Response                                                          |
| -------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| `json</p><p> {</p><p> "Name": "New Trigger",</p><p> "Process": 5,</p><p> "ProcessingType": 1,</p><p> }</p><p>` | <p>\[</p><p>"guid": "554ab883-1f82-48e1-bb12-5049002e7d70", ]</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/en/sherpa-rpa/sherpa-orchestrator/api/trigger/api-schedule-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
